import Vue from 'vue'
import Router from 'vue-router'
import Home from './views/Home.vue'

Vue.use(Router)

export default new Router({
  mode: 'history',
  base: process.env.BASE_URL,
  routes: [
    {
      path: '/',
      // This is a named route. We can reference this instead of a static path in our router-links.
      name: 'home',
      component: Home
    },
    {
      path: '/about-us',
      name: 'about',
      // route level code-splitting
      // this generates a separate chunk (about.[hash].js) for this route
      // which is lazy-loaded when the route is visited.
      component: () =>
        import(/* webpackChunkName: "about" */ './views/About.vue'),
      // an alias is also a viable option instead of a redirect like below
      alias: '/about-alias'
    },
    {
      path: '/about',
      // here we are specifying the named route for the redirect.
      // If you weren't using Named Routes you could also do `redirects: '/about-us'`
      redirect: { name: 'about' }
    }
  ]
})
